[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomCoolBar.CalculatePreferredSize

Calculates the preferred width and height for the control.

## Declaration

Source position: comctrls.pp line 2610

`protected procedure TCustomCoolBar.CalculatePreferredSize(`
`var PreferredWidth: Integer;`
`var PreferredHeight: Integer;`
`WithThemeSpace: Boolean`
`); override;`

## Arguments

`WithThemeSpace` |  | True to reserve additional space for theme elements.

## See also

TWinControl.CalculatePreferredSize |  | Override this method to return a different preferred height and/or width for auto-sizing.